%define build_java 0
%{?_with_java: %{expand: %%global build_java 1}}

%define build_patented 0
%{?_with_patented: %{expand: %%global build_patented 1}}

%define name	itk
%define version 2.8.1
%define release 3

%define libname %mklibname %{name}
%define libname_devel %mklibname %{name} -d
%define namever %(echo %version | sed 's/\\./-/g')
%define shortVersion %(echo %{version} | cut -d. -f1,2)

Summary:	Medicine Insight Segmentation and Registration
Name:		%{name}
Version:	%{version}
Release:	%mkrel %{release}
License:	BSDish
Group:		Sciences/Other
URL:		http://www.itk.org
Source0:	http://ovh.dl.sourceforge.net/sourceforge/itk/InsightToolkit-%{version}.tar.bz2
Source1:	http://ovh.dl.sourceforge.net/sourceforge/itk/ItkSoftwareGuide-2.4.0.pdf.bz2
Patch10:	wrapping-convenience-patches.patch.bz2
Patch11:	python-interface-patches.patch.bz2
# enhance binary erosion and dilation
Source2:	binaryErodeDilate.tar.bz2
# enhance reconstruction
Source3:	fastReconstruction.tar.bz2
Patch30:	itk-headertest.patch.bz2
# enhance grayscale dilation and erosion
Source4:	histoErodeDilate.tar.bz2
# fix bug in tophat and grayscale opening/closing
Source5:	topHat.tar.bz2
# a tool to compare images - useful to run tests
Source6:        http://insight-journal.org/documentation/CMake/ImageCompare.tar.bz2
BuildRequires:	cmake >= 1.8.3
BuildRequires:  XFree86-devel
BuildRequires:  png-devel
BuildRequires:  tiff-devel
BuildRequires:  zlib-devel
BuildRequires:  gcc-c++
BuildRequires:	fftw3-devel
# BuildRequires:  python-numarray-devel
# BuildRequires:  python-devel
# BuildRequires:  tcl tk
# needed for backport to 2006.0
# %if %mdkversion >= 200610
# BuildRequires:  tk-devel
# BuildRequires:  tcl-devel
# %endif
BuildRequires:	graphviz
BuildRequires:  doxygen
BuildRequires:  perl
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
ITK is an open-source software system to support the Visible Human Project. 
Currently under active development, ITK employs leading-edge segmentation 
and registration algorithms in two, three, and more dimensions.

The Insight Toolkit was developed by six principal organizations, three 
commercial (Kitware, GE Corporate R&D, and Insightful) and three academic 
(UNC Chapel Hill, University of Utah, and University of Pennsylvania). 
Additional team members include Harvard Brigham & Women's Hospital, 
University of Pittsburgh, and Columbia University. The funding for the 
project is from the National Library of Medicine at the National Institutes 
of Health. NLM in turn was supported by member institutions of NIH (see 
sponsors). 

%package -n %{libname}
Group:          System/Libraries
Summary:        Medicine Insight Segmentation and Registration
Provides:	%{name} = %{version}-%{release}
Provides:	InsightToolkit = %{version}-%{release}

%description -n %{libname}
ITK is an open-source software system to support the Visible Human Project.
Currently under active development, ITK employs leading-edge segmentation
and registration algorithms in two, three, and more dimensions.

The Insight Toolkit was developed by six principal organizations, three
commercial (Kitware, GE Corporate R&D, and Insightful) and three academic
(UNC Chapel Hill, University of Utah, and University of Pennsylvania).
Additional team members include Harvard Brigham & Women's Hospital,
University of Pittsburgh, and Columbia University. The funding for the
project is from the National Library of Medicine at the National Institutes
of Health. NLM in turn was supported by member institutions of NIH (see
sponsors).


%package  -n %{libname_devel}
Summary:	ITK header files for building C++ code
Group:		Development/C++
Requires:	gcc-c++ 
Requires:	%{libname} = %{version}
Provides:	%{name}-devel = %{version}-%{release}

%description -n %{libname_devel}
ITK is an open-source software system to support the Visible Human Project. 
Currently under active development, ITK employs leading-edge segmentation 
and registration algorithms in two, three, and more dimensions.

The Insight Toolkit was developed by six principal organizations, three 


commercial (Kitware, GE Corporate R&D, and Insightful) and three academic 
(UNC Chapel Hill, University of Utah, and University of Pennsylvania). 
Additional team members include Harvard Brigham & Women's Hospital, 
University of Pittsburgh, and Columbia University. The funding for the 
project is from the National Library of Medicine at the National Institutes 
of Health. NLM in turn was supported by member institutions of NIH (see 
sponsors). 

%package examples
Summary:	C++, Tcl and Python example programs/scripts for ITK
Group:		Development/C++
Requires:	%{name}-data = %{version}
Requires:       %{libname} = %{version}

%description examples
ITK is an open-source software system to support the Visible Human Project. 
Currently under active development, ITK employs leading-edge segmentation 
and registration algorithms in two, three, and more dimensions.

The Insight Toolkit was developed by six principal organizations, three 
commercial (Kitware, GE Corporate R&D, and Insightful) and three academic 
(UNC Chapel Hill, University of Utah, and University of Pennsylvania). 
Additional team members include Harvard Brigham & Women's Hospital, 
University of Pittsburgh, and Columbia University. The funding for the 
project is from the National Library of Medicine at the National Institutes 
of Health. NLM in turn was supported by member institutions of NIH (see 
sponsors). 

%package data
Summary:	These data are required to run various examples from the examples package
Group:		Development/C++

%description data
ITK is an open-source software system to support the Visible Human Project. 
Currently under active development, ITK employs leading-edge segmentation 
and registration algorithms in two, three, and more dimensions.

The Insight Toolkit was developed by six principal organizations, three 
commercial (Kitware, GE Corporate R&D, and Insightful) and three academic 
(UNC Chapel Hill, University of Utah, and University of Pennsylvania). 
Additional team members include Harvard Brigham & Women's Hospital, 
University of Pittsburgh, and Columbia University. The funding for the 
project is from the National Library of Medicine at the National Institutes 
of Health. NLM in turn was supported by member institutions of NIH (see 
sponsors). 

%package doc
Summary:	Documentation for ITK
Group:		Development/C++

%description doc
ITK is an open-source software system to support the Visible Human Project. 
Currently under active development, ITK employs leading-edge segmentation 
and registration algorithms in two, three, and more dimensions.

The Insight Toolkit was developed by six principal organizations, three 
commercial (Kitware, GE Corporate R&D, and Insightful) and three academic 
(UNC Chapel Hill, University of Utah, and University of Pennsylvania). 
Additional team members include Harvard Brigham & Women's Hospital, 
University of Pittsburgh, and Columbia University. The funding for the 
project is from the National Library of Medicine at the National Institutes 
of Health. NLM in turn was supported by member institutions of NIH (see 
sponsors). 

# %package -n python-%{name}
# Summary:	Python bindings for ITK
# Group:		Development/Python
# Requires:	python
# Requires:	python-numarray
# Requires:	%{name} = %{version}
# Requires(pre):	%{name} = %{version}
# Obsoletes:	%{name}-pyhon
# Provides:	%{name}-pyhon
# 
# %description -n python-%{name}
# ITK is an open-source software system to support the Visible Human Project. 
# Currently under active development, ITK employs leading-edge segmentation 
# and registration algorithms in two, three, and more dimensions.
# 
# The Insight Toolkit was developed by six principal organizations, three 
# commercial (Kitware, GE Corporate R&D, and Insightful) and three academic 
# (UNC Chapel Hill, University of Utah, and University of Pennsylvania). 
# Additional team members include Harvard Brigham & Women's Hospital, 
# University of Pittsburgh, and Columbia University. The funding for the 
# project is from the National Library of Medicine at the National Institutes 
# of Health. NLM in turn was supported by member institutions of NIH (see 
# sponsors). 

%if %build_java
%package -n java-%{name}
Summary: Java bindings for ITK
Group: Development/Java
Requires: %{name} = %{version}
Requires(pre):	%{name} = %{version}
Obsoletes:      %{name}-java
Provides:       %{name}-java

%description -n java-%{name}
ITK is an open-source software system to support the Visible Human Project. 
Currently under active development, ITK employs leading-edge segmentation 
and registration algorithms in two, three, and more dimensions.

The Insight Toolkit was developed by six principal organizations, three 
commercial (Kitware, GE Corporate R&D, and Insightful) and three academic 
(UNC Chapel Hill, University of Utah, and University of Pennsylvania). 
Additional team members include Harvard Brigham & Women's Hospital, 
University of Pittsburgh, and Columbia University. The funding for the 
project is from the National Library of Medicine at the National Institutes 
of Health. NLM in turn was supported by member institutions of NIH (see 
sponsors). 
%endif

# %package -n tcl-%{name}
# Summary: TCL bindings for ITK
# Group: Development/Other
# Requires:	%{name} = %{version}
# Requires(pre):	%{name} = %{version}
# Requires:	tcl
# Obsoletes:      %{name}-tcl
# Provides:       %{name}-tcl
# 
# %description -n tcl-%{name}
# ITK is an open-source software system to support the Visible Human Project. 
# Currently under active development, ITK employs leading-edge segmentation 
# and registration algorithms in two, three, and more dimensions.
# 
# The Insight Toolkit was developed by six principal organizations, three 
# commercial (Kitware, GE Corporate R&D, and Insightful) and three academic 
# (UNC Chapel Hill, University of Utah, and University of Pennsylvania). 
# Additional team members include Harvard Brigham & Women's Hospital, 
# University of Pittsburgh, and Columbia University. The funding for the 
# project is from the National Library of Medicine at the National Institutes 
# of Health. NLM in turn was supported by member institutions of NIH (see 
# sponsors). 


%prep

%setup -q -n InsightToolkit-%{version}
# %setup -q -n InsightToolkit-%{namever}
# %setup -q -n Insight
%patch10 -p0
%patch11 -p0
%patch30

# install code fix/enhancements
tar xvjf %{SOURCE2}
tar xvjf %{SOURCE3}
tar xvjf %{SOURCE4}
tar xvjf %{SOURCE5}
tar xvjf %{SOURCE6}

cp -f binaryErodeDilate/itk* Code/BasicFilters
cp -f fastReconstruction/itk* Code/BasicFilters
cp -f histoErodeDilate/itk* Code/BasicFilters
cp -f topHat/itk* Code/BasicFilters


# doc
bunzip2 %{SOURCE1} -c > ItkSoftwareGuide.pdf

# remove CVS dirs, if exists
find -name CVS -type d | xargs rm -rf

%build

cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
      -DCMAKE_CXX_COMPILER:PATH=%{_bindir}/c++ \
      -DCMAKE_C_COMPILER:PATH=%{_bindir}/gcc \
      -DBUILD_SHARED_LIBS:BOOL=ON \
      -DBUILD_DOXYGEN:BOOL=ON \
      -DITK_USE_REVIEW:BOOL=ON \
      -DUSE_FFTWF:BOOL=ON \
      -DUSE_FFTWD:BOOL=ON \
      -DFFTW_INCLUDE_PATH:PATH=%{_includedir} \
      -DITK_USE_SYSTEM_TIFF:BOOL=ON \
      -DITK_USE_SYSTEM_PNG:BOOL=ON \
      -DITK_USE_SYSTEM_ZLIB:BOOL=ON \
      -DCMAKE_SKIP_RPATH:BOOL=ON \
      -DCMAKE_CXX_FLAGS:STRING="$RPM_OPT_FLAGS" \
      -DCMAKE_C_FLAGS:STRING="$RPM_OPT_FLAGS" \
.

#      -DCableSwig_DIR:PATH=%{_libdir}/CableSwig \
#      -DCMAKE_BUILD_TYPE:STRING=Release \
#      -DITK_CSWIG_TCL:BOOL=ON \
#       -DITK_CSWIG_PYTHON:BOOL=ON \
#       -DITK_USE_PYTHON_NUMARRAY:BOOL=ON \
#      -DPYTHON_INCLUDE_PATH:PATH=$PYTHON_INCLUDE_PATH \
#      -DPYTHON_LIBRARY:FILEPATH=$PYTHON_LIBRARY \
#      -DCMAKE_CXX_FLAGS:STRING=$RPM_OPT_FLAGS \
#      -DCMAKE_C_FLAGS:STRING=$RPM_OPT_FLAGS	\
      
%if %build_java
cmake	-DJAVA_INCLUDE_PATH:PATH=$JAVA_HOME/include \
	-DJAVA_INCLUDE_PATH2:PATH=$JAVA_HOME/include/linux \
	-DJAVA_AWT_INCLUDE_PATH:PATH=$JAVA_HOME/include \
	-DJAVA_AWT_LIBRARY:PATH=$JAVA_HOME/jre/lib/i386/libawt.so \
	-DVTK_WRAP_JAVA:BOOL=ON \
.
%endif

%if %build_patented
cmake 	-DITK_USE_PATENTED:BOOL=ON \
.
%endif


#      -DITK_USE_SYSTEM_VXL:BOOL=ON \
#      -DBUILD_EXAMPLES:BOOL=ON \


%make



# build ImageCompare
(
cd ImageCompare
cmake -DCMAKE_INSTALL_PREFIX:PATH=%{_prefix} \
      -DCMAKE_CXX_COMPILER:PATH=%{_bindir}/c++ \
      -DCMAKE_C_COMPILER:PATH=%{_bindir}/gcc \
      -DCMAKE_BUILD_TYPE:STRING=Release \
      -DCMAKE_SKIP_RPATH:BOOL=ON \
      -DITK_DIR:PATH=.. \
.
%make
)


# build docs
mkdir -p Documentation/Doxygen
doxygen doxygen.config





%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT

echo "build_java=%{build_java}"

make install DESTDIR=$RPM_BUILD_ROOT

# fix lib path on x86_64
%ifarch x86_64
mv $RPM_BUILD_ROOT/%{_prefix}/lib $RPM_BUILD_ROOT/%{_libdir}
ls $RPM_BUILD_ROOT/%{_libdir}/InsightToolkit/*.cmake | xargs perl -pi -e 's#/lib/#/lib64/#g'
%endif

# install ld.so.conf path
install -d -m 755 $RPM_BUILD_ROOT/%{_sysconfdir}/ld.so.conf.d
cat > $RPM_BUILD_ROOT/%{_sysconfdir}/ld.so.conf.d/%{name}.conf <<_EOF
%{_libdir}/InsightToolkit
_EOF

# install docs
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/%{name}-doc
cp -a Documentation/Doxygen/html $RPM_BUILD_ROOT/%{_datadir}/%{name}-doc/api

# install examples
install -d -m 755 $RPM_BUILD_ROOT/%{_datadir}/%{name}-examples/
cp -a Testing $RPM_BUILD_ROOT/%{_datadir}/%{name}-examples/
cp -a Examples $RPM_BUILD_ROOT/%{_datadir}/%{name}-examples/
# get rid of unwanted files
find $RPM_BUILD_ROOT/%{_datadir}/itk-examples/ -name "*.o" -exec rm {} \;
find $RPM_BUILD_ROOT/%{_datadir}/itk-examples/ -name CMakeCache.txt -exec rm {} \;
find $RPM_BUILD_ROOT/%{_datadir}/itk-examples/ -name Makefile -exec rm {} \;
find $RPM_BUILD_ROOT/%{_datadir}/itk-examples/ -name DartTestfile.txt -exec rm {} \;
find $RPM_BUILD_ROOT/%{_datadir}/itk-examples/ -name .NoDartCoverage -exec rm {} \;
find $RPM_BUILD_ROOT/%{_datadir}/itk-examples/ -name "cmake.*" -exec rm {} \;

#install data
mv $RPM_BUILD_ROOT/%{_datadir}/itk-examples/Testing/Data $RPM_BUILD_ROOT/%{_datadir}/%{name}-data

#install tcl utils
#cp Wrapping/CSwig/Tcl/itkutils.tcl $RPM_BUILD_ROOT/%{_libdir}/InsightToolkit/tcl/
# rm -f $RPM_BUILD_ROOT/%{_libdir}/InsightToolkit/itkwish

# install ImageCompare
mkdir -p  $RPM_BUILD_ROOT/%{_bindir}
cp ImageCompare/ImageCompare $RPM_BUILD_ROOT/%{_bindir}

# multiarch support
%multiarch_includes  $RPM_BUILD_ROOT/%{_includedir}/InsightToolkit/Utilities/itksys/FundamentalType.h


%check

# set the lib path needed to run the tests
export LD_LIBRARY_PATH=`pwd`/bin

# some tests related to the fixed filters are now wrong and must be disable
ctest -E 'itkGrayscaleMorphologicalClosingImageFilterTest|itkGrayscaleMorphologicalOpeningImageFilterTest|itkBlackTopHatImageFilterTest|itkWhiteTopHatImageFilterTest|itkClosingByReconstructionImageFilterTest|itkClosingByReconstructionImageFilterTest2|MorphologicalImageEnhancementTest|FFTDirectInverse2Test|ImageRegistration14Test|DeformableRegistration3Test'


%clean
rm -rf $RPM_BUILD_ROOT

%post -n %{libname} -p /sbin/ldconfig

%postun -n %{libname} -p /sbin/ldconfig



%files -n %{libname}
%defattr(0644,root,root,0755)
%doc README.html 
%doc Documentation/DeveloperList.txt
%doc Copyright/*
%{_libdir}/InsightToolkit/lib*.so.*
%{_sysconfdir}/ld.so.conf.d/%{name}.conf


%files -n %{libname_devel}
%defattr(0644,root,root,0755)
%attr(0755,root,root) %{_bindir}/ImageCompare
%{_includedir}/*
%{_libdir}/InsightToolkit/*.cmake
%{_libdir}/InsightToolkit/lib*.so

%files doc
%defattr(0644,root,root,0755)
%doc Documentation/InsightDeveloperStart.pdf
%doc Documentation/Style.pdf
%doc ItkSoftwareGuide.pdf
%{_datadir}/%{name}-doc

%files examples
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-examples/Examples
%{_datadir}/%{name}-examples/Testing

%files data
%defattr(0644,root,root,0755)
%{_datadir}/%{name}-data

# %files -n python-%{name}
# %defattr(0644,root,root,0755)
# %{_libdir}/InsightToolkit/*Python.so
# %{_libdir}/InsightToolkit/python
# %{_libdir}/InsightToolkit/*.py
# %(python -c"import os,sys; print os.path.join(sys.exec_prefix, '%{_lib}', 'python' + sys.version[:3],'site-packages', 'InsightToolkit.pth')")

# %files -n tcl-%{name}
# %defattr(0644,root,root,0755)
# %attr(755,root,root) %{_bindir}/itkwish
# %{_libdir}/InsightToolkit/tcl
# %{_libdir}/InsightToolkit/*Tcl.so
# %attr(755,root,root) %{_libdir}/InsightToolkit/itkwish

%if %build_java
%files -n java-%{name}
%defattr(0644,root,root,0755)
%{_libdir}/InsightToolkit/java
%{_libdir}/InsightToolkit/*Java.so
%endif

%changelog
* Thu Aug 31 2006 Gaëtan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-08-31 17:38:23 (59090)
use RPM_OPT_FLAGS

* Tue Aug 29 2006 Gaëtan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-08-29 11:54:15 (58628)
rebuild (again) to sync i586 and x86_64 packages

* Mon Jul 31 2006 Gaëtan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-07-31 21:36:23 (42881)
rebuild


* Sun Jul 30 2006 Gaëtan Lehmann (INRA) <glehmann@mandriva.org> 
+ 2006-07-30 09:54:36 (42650)
Import itk

* Tue Jul 18 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.8.1-1mdv2007.0
- 2.8.1
- drop patch 1 (merged upstream)
- update patch 11
- replace patches 8, 9 and 10 by patch 10
- no more requires cableswig (wrapping is done in wrapitk)
- update source 4 (enhanced erode and dilate filters)

* Wed Apr 12 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.6.0-6-mdk
- fix post install problem

* Mon Apr 10 2006 Gaetan Lehmann <glehmann@n4.mandriva.com> 2.6.0-5mdk
- update source 4 (enhanced erode and dilate filters)
- run tests

* Fri Apr 07 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.6.0-4mdk
- Patch1: fix itk::VectorImage invalid oveloaded methods
- drop tcl support (will be supproted by wrapitk)
- add ImageCompare in devel package

* Mon Mar 27 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.6.0-3mdk
- update reconstruction filters
- fix itkwish attr

* Tue Mar 21 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.6.0-2mdk
- fix missing itkwish

* Tue Mar 14 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.6.0-1mdk
- 2.6.0
- remove patches 1 to 7: merged or fixed upstream
- update histogram based dilation/erosion filters
- patch 30: fix test build with new reconstruction filters

* Tue Mar 07 2006 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.4.1-5mdk
- add several patch to enhance perf and fix bugs
- drop python support (will by provided by wrapitk)
- add optional patches from wrapitk
- force /usr/bin/c++ compiler

* Fri Jan 20 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-4mdk
- fix deps

* Sat Jan 07 2006 Oden Eriksson <oeriksson@mandriva.com> 2.4.1-3mdk
- rebuilt against soname aware deps (tcl/tk)
- fix deps

* Sun Dec 11 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.4.1-2mdk
- multiarch support

* Fri Dec 09 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.4.1-1mdk
- new release 2.4.1
- use Release build
- fix lib path in cmake files on x86_64
- pre-requires lib package for wrappers. ldconfig need to know where are
  the files

* Sat Dec 03 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.4.0-1mdk
- new release 2.4.0

* Thu Mar 24 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.1-1mdk
- New release 2.0.1
- Use mkrel
- add "--with patented" switch
- fix wrong tcl group

* Wed Mar 02 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.0-2mdk
- add morpho filters in wrappers (patch1)
- fix some lint

* Sun Feb 13 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 2.0.0-1mdk
- 2.0.0
- add wrappers

* Mon Jan 31 2005 Gaetan Lehmann <gaetan.lehmann@jouy.inra.fr> 1.10.0-0.cvs20050131.1mdk
- 1.10.0 cvs
- build still fail with wrapper so no wrapper avaible :-(
- add doc and devel packages
- use libitk name
- initial contrib release

* Mon Sep 27 2004 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr> 1.8.1-2
- add an example packages.

* Wed Sep 22 2004 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr> 1.8.1-1
- update to version 1.8.1.

* Thu Sep 09 2004 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr> 1.8.0-2
- fix CC and CXX to be consistent with the VTK package.

* Wed Sep 08 2004 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr> 1.8.0-1
- update to version 1.8.0.

* Thu May 27 2004 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr> 1.6.0-3
- rebuild for Fedora Core 2
- debuginfo rebuild

* Mon Feb 23 2004 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr> 1.6.0-2
- update to version 1.6.0.

* Wed Oct 29 2003 Fabrice Bellet <Fabrice.Bellet@creatis.insa-lyon.fr>
- initial release 1.4.0.

